ikiwiki hosting internals/ todo/ various small changes from Debian packaging

- Use Testsuite: autopkgtest-pkg-perl

  Recent versions of autodep8 will append our debian/tests/control to the one they generate, so we no longer need to replicate what autodep8 would have produced.

- d/tests/pkg-perl/smoke-files: The makesite test needs an extra file copied

  Fixes: 278d8ae4 "Fix the test suite to work when ikiwiki-hosting is not installed"

- d/control: Depend on python3-docutils instead of python-docutils

  This catches up with the corresponding change to ikiwiki's Suggests in version 3.20180105-1.

  Also explicitly depend on python3, again matching ikiwiki's Suggests.

  Closes: #945656

Branch: https://git.pseudorandom.co.uk/smcv/ikiwiki-hosting.git/shortlog/refs/heads/deb-packaging

--smcv

> merged --Joey